Page MenuHome

Updating Manual images and text to reflect changes made in recent versions of Blender
Confirmed, NormalPublicTO DO

Description

At the moment some pages in the Blender manual show images from Blender 2.7X. I will attempt to go through as many pages as possible and update these images to match more recent versions of Blender. If I don't know how a feature works and as a result can't replicate the image, then I will make a note of it here and let someone else update it.

This is simply a quality of life feature. Many of these images still show settings available in later versions of Blender, but it may confuse some new users.

While searching for these images, I will also check to see if the pages that contains the images also contain outdated information like incorrect menu locations or old keyboard shortcuts and fix them where possible.

I will also submit this fix as a series of patches, breaking the patch up into the sections defined in the manual (Getting started, User interface, Editors, etc).

Projects Status:
User Interface Text: rBM6496, rBM6501
User Interface Images: rBM6491, rBM6504
Editors Text (Partially done): rBM6498, rBM6507, rBM6507, rBM6540
Editors Images (Partially done): rBM6497, rBM6506, rBM6539
Scenes and Objects Text: rBM6545
Scenes and Objects Images: rBM6544
Modelling Text: -
Modelling Images: -
Sculpting and Painting Text: -
Sculpting and Painting Images: -
Grease Pencil Text: -
Grease Pencil Images: -
Animation and Rigging Text: -
Animation and Rigging images: -
Physics Text: -
Physics Images: -
Rendering Text: rBM6578, rBM6600, rBM6630
Rendering Images: rBM6577, rBM6599, rBM6629
Compositing Text: rBM6655, rBM6678
Compositing Images: rBM6654, rBM6677
Tracking and Masking Text: -
Tracking and Masking Images: -
Video Editing Text: -
Video Editing Images: -

Others (E.G. Addons): Will evaluate when I get there.

Sections I haven't updated (Primarily due to a lack of knowledge on my part):

SectionPart that needs updating
Editors->Dope SheetText needs to be checked.
Editors->NLAEntire sections text and images needs to be checked.
Editors->File BrowserEntire page needs updating for the 2.82 file browser T73319.
Scenes and objects->Objects->Editing->RelationsText needs to be checked.
Render->Eevee->Materials->Nodes SupportNode support needs to be checked over by someone with more experience with EEVEE. This information should be fairly up to date.
Render->Render outputAll the images seem up to date, the text needs to be checked over by someone more knowledgeable

Related Objects

Mentioned In
D7627: Update of compositor > properties
T76705: Ctrl-G creates Collection, but not linked to scene. Includes auto created rigid body collections and added through + in object prop. panel
T76018: Multiple manual pages still referring to Blender Internal
T76014: Operation "Remove from All Unlinked Collections" removes selected objects from all collections
T76013: Operation "Create a new collection" does not add the collection to the current scene.
T75966: Multiple issues with Parenting objects chapter
T75957: Material output node render engine option not documented
T75639: Placeing new vertecies not working With Ctrl-LMB
D7377: Updating Screw tool documentation to match changes made in Blender 2.8X
D7366: Fix: T75083 Documentation for math nodes
Mentioned Here
rBM6693: Update images in keying screen section of manual to match 2.8X
T29192: "Curved" option in Vector Blur doesn't seem to be working
rB1357f1b09fcb: Vector Blur now has option to be curved!
rBM6677: Update images in the compositor section of the manual to reflect changes made…
rBM6678: Update text in the compositor section of the manual to reflect changes made in…
rBM6654: Update images in the compositor section of the manual to reflect changes made…
rBM6655: Update text in the compositor section of the manual to reflect changes made in…
rBM6656: Small fix for previous commit
T76705: Ctrl-G creates Collection, but not linked to scene. Includes auto created rigid body collections and added through + in object prop. panel
rBM6648: Correct None to Non-color
rBM6640: Fix hyperlink in file ouput page
rBM6629: Update images in the render section of the manual to reflect changes made in…
rBM6630: Update text in the render section of the manual to reflect changes made in…
rBM6615: Add wireframe example
rBM6616: Hide outdated information from render>materials>assignment page
rBM6605: Cleanup: Remove unused Substitution Definitions
rBM6599: Updating Images in the render section of the manual to reflect changes made in…
rBM6600: Update text for the render section of the manual to reflect changes made in…
rBM6601: Remove mentions of Blender Internal
rBM6602: Small fixes
rBM6603: another small fix
rBM6593: Small fix
T53662: Usability issues with old group operators
rBM6590: Describe limitations surrounding kbd Ctrl-G
T76164: 2.90 Documentation
rBM6581: EEVEE: Clarify lighting threshold / custom distance
rBM6582: Cycles: Clarify world mist
rBM6580: Updating Cycles documentation on GPU rendering
rBM6577: Updating images in the rendering section of the manual to reflect changes made…
rBM6571: Edge split to mesh split
rBM6576: Remove edge split since it is no longer needed
rBM6578: Update text in the rendering seciton of the manual to relfect changes made in…
T76013: Operation "Create a new collection" does not add the collection to the current scene.
T76014: Operation "Remove from All Unlinked Collections" removes selected objects from all collections
rBM6557: Small fixes
T56342: Policy for user-manual fIle downloads (re-evaluate)
rBM6551: Preferences move section into definition
rBM6552: Object Transform: Split texture space into its own file
rBM6553: Remove blank page
rBM6554: Fix typo in link
T73319: New File Browser Docs
rBM6544: Update images in the Scenes and Objects section be bore more consistent or…
rBM6545: Update the text in the Scenes and Objects section to reflect changes made in…
rBM6539: Updating more images in the editors section of the manual to reflect changes…
rBM6540: Updating more text in the editors section of the manual to reflect changes in…
rBM6510: Corrections To UV Introduction changes
rBM6511: Keyframe Extend Transform
rBM6506: Updating more images in the editor section to reflect changes made in Blender 2.
rBM6507: Updating more text in the editor section to reflect changes made in Blender 2.8X
rBM6504: Added images for hiding and showing regions that match Blender 2.8X
rBM6501: Fixing some mistakes made in previous commits
T72767: CTRL+C does not copy ruler value like it says in documentation
rBM6497: Updated some of the images in the ediotrs section to reflect 2.8X
rBM6498: Updated some of the text in the editors section to reflect changes made in…
rBM6496: Updated text in the User Interface section to reflect 2.8X options plus fix…
rBM6491: Updating Images in the User Interface section to reflect Blender 2.8X

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Alaska (Alaska) added a comment.EditedApr 18 2020, 3:47 AM

Shifted to most recent comment.

Hello Alaska,
I would like to find out more about how I may help you with this task. I am new to contributing but the first time I picked Blender up was 2.5/2.49ish.

Alaska (Alaska) added a comment.EditedApr 21 2020, 6:06 AM

Hello Alaska,
I would like to find out more about how I may help you with this task. I am new to contributing but the first time I picked Blender up was 2.5/2.49ish.

I personally don't know much about committing work that others have done as I have only recently started contributing to the manual myself (started about two weeks ago). So you'll probably need to talk to @Aaron Carlisle (Blendify) about it. However, if you do start work on it, here's some recommendations based on what I've done so far:

  1. Stick to a section. I've broken this project up into parts based on the sections defined in the manual. User interface, Editors, etc. What you may find when working in these sections is that a link will take you to a different section. So, the "Editors>Compositor" is actually a link to "Compositing>Index". The "Compositing>index" page is in a different section to "Editors", so I've put that off to the side so I can work on it when I get to that part. This is simply so I don't repeat the same work.
  1. Test everything. If you make a change to the manual, make sure you test it out on your local version before proceeding to the next page. I personally do this as I'm new to RST (the format the site is written in) and sometimes make formatting mistakes.
  1. Commit once you've finished for the day. For example, I've broken the "Editors" section up into three main commits because I did the update over three separate days. This is simply to make sure you don't end up in a situation where you spend a few days working on something then commit it, over-writing some of the work that the lead developers have done. I believe the system has a way of working around this, but I'm not 100% sure as I haven't tested it.
  1. Please send me a message (probably in this thread) if you're starting work on a section and when you make a commit. This is simply so both of us don't go over the same work.
  1. Use the latest version of Blender. Everyday I start work on updating the manual, I download the latest nightly build of 2.83 (the version of the manual we're updating). I also have a version of 2.79 installed so I can check to see if a certain setting that I can't find is in 2.79 and work my way from there to help me find it in 2.83.

Now that's out of the way, onto what this project is and how you may be able to help.

The main goal of this project is to simply update the images in the Blender manual to reflect changes made in Blender 2.8X. However, I have since adapted it by also looking at the text to see if menus or keymaps are listed incorrectly or some other issue. This means, going through every page in the Blender manual and reading them checking for mistakes or things that need updating.

And anyone can do that. Open up the manual, make changes, and submit them to the developers for review. The issue is that any image changes you make (the most common change) will simply show up to the developers as "an image has been changed" and we won't be able to see the image that was changed or apply the change. This means the person that changes the images needs to make the change directly to the manual which means you need commit access which I am not in a position to give. You will need to talk to @Aaron Carlisle (Blendify) or some other manual manager for this access.

However, if you did want to start out with some text stuff, you can do that. You can find a guide for everything you need to start editing the manual here: https://developer.blender.org/tag/documentation/

Make sure you read through every step.

Also, just a quick tip. Once you get to the build section, the process of making a local copy of the manual, you will have to open the manual either through a command or through opening the .html file. Once that's done, when you next use the "make" command to rebuild the manual to update the changes you've made, all you have to do is refresh the manual in your web-browser. No need to reopen the file or use the command to open it.

And because I don't know where else to put it, if you start to update the manual, try and make the new images roughly the same size (in pixels) as the current images. You can go bigger or smaller, just stick to generally the same size.

And lastly. If you don't know how to update a part of the manual or believe a large change should be made, such as a the reworking of the file browser page to match the complete overhaul in 2.82, skip it and make a note so we know it's not complete.

Also, I'm not a Blender developer. I'm just doing this project in my free time. I am also not 100% knowledgeable in Blender. As a result, many little things that I'm unsure about, and you're unsure about when updating the manual, should be passed onto someone more involved with the documentation and development of this stuff like @Aaron Carlisle (Blendify).

Thanks for the thorough explanation, I appreciate your time on this. I will contact Aaron as you suggest and I was looking for a good foothold to start contributing and images seemed hard to mess up while learning the process, I understand now how images may be a little more involved than I initially anticipated.

I have already studied documentation concerning formatting, how to use RST, built Blender and the docs, joined the mail group, etc .... I just haven't made an edit or created a diff and have yet to contact anybody in the community. So I guess I will find my edits next.

I have been using Blender for modeling for some time now and figured working on the manual would be a great way to dig deeper to use features I may not have used before. I wouldn't have as much time to spend as you in this endeavor as I have a full time job as a Solidworks Drafter and I am taking courses toward a second degree in computer science (my first degree was in fine art). My current class I am taking is in open source development and my contributions here can apply to my grade, so I am motivated to help. I don't know how much time I will be able to devote going forward after this but I do want to continue contributing, Blender in part motivated me to pursue software engineering, and I have a capstone project coming up which I am hoping to incorporate Blender into also.

Thanks again for your advice.

Alaska (Alaska) added a comment.EditedApr 22 2020, 6:57 AM

@Aaron Carlisle (Blendify) I've made another patch and once again have questions:

  1. Blender 2.90 is under development. How does this affect the manual? Are 2.83 and 2.90 made available for modification at a certain point or is only 2.83 available for editing until 2.83 has officially released?
  2. In regards to the Blender manual release cycle. Should I stop making these changes with the start of bcon4?
  3. I'd also like to apologize for being a bit slow in committing changes. Some personal things have been popping up and I probably won't be able to meet the goal of "A manual section every other day".

Now onto questions I had while making changes. rBM6540

  1. I have left NLA mostly untouched as once again it goes over my head.
  1. In the text editor, should "Format>Indent" (from the header) have a shortcut tool tip in Blender. The shortcut is in the manual but not in Blender.

Same question also applies for the python console under "Console>Indent". However Autocomplete has the same shortcut in both these cases.

  1. In the info editor in Blender (Not the manual), should we still have the "Toggle selection" option under the "info" menu in the header. Seems to do the same as select all and deselect all?
  1. In "editors/outliner" it says

Selecting some data-blocks with LMB will toggle into the relevant interaction mode. For example, selecting the mesh data of the cube will select the cube and enter Edit Mode. Selecting the data-block again will toggle back into Object Mode.
If the data-block type supports multi-editing, you can use Shift to add/remove objects from the Edit Mode.

I was unable to reproduce this last part "Shift to add/remove from the edit mode". Is this a bug?

  1. The text in /editors/file_browser needs quite a bit of reworking. I've updated the image and will leave the rest to someone else as I'm unsure how to word everything.
  1. In "/editors/preferences/navigation" it says:

Walk Speed
Base speed for walking and flying.

However this option is not made available when you select "Fly" as your view navigation. Is this a bug or incorrect documentation.

  1. In "/editors/preferences/system" I've added TODOs for disk cache
  1. In "/editors/preferences/system" I have removed the parts that said "The available options are:..." On the basis of this in the writing style guide:

Avoid including specific details

Correct me if I am wrong in doing this.

  1. In "/editors/preferences/save_load" I've updated the two images there. However the second image doesn't fit properly in my personal opinion. Should I remove it?
  1. In "/editors/preferences/file_paths" it describes a "Scripts" section that I've been unable to find in Blender (2.82 and 2.83). Should I remove this?

@Aaron Carlisle (Blendify) I've made another update for the manual and once again have questions. rBM6545

  1. In "/scene_layout/object/editing/transform/basics" it talks about a "texture space option". This is no longer in the last operator panel and has no keyboard shortcut so I've removed it from this page. However, it needs to go somewhere as removing this section causes errors in other parts of the manual that link to it, I just don't know where to put it.

.. _modeling_transform_edit-texture-space:

Edit Texture Space :kbd:Shift-T:kbd:Shift-Alt-T

This operation lets you transformation the :ref:`Texture Space  <properties-texture-space>`,
instead of the object or element itself. Only available in translation and scale.

Also may need a bit of rewording, I've just removed the stuff that doesn't apply to Blender 2.8X.

  1. In "/scene_layout/object/editing/parent" there's a link to a blend file to "follow along with parenting". I don't see why this is necessary as a Suzanne, and two empties are used for the demonstration. Should I remove it, and what about the .blend file? It's on the Blender wiki, something I don't know how to edit.

f you want to follow along with the above description here is the blend-file used to describe
*Object (Keep Transform)* parenting method:

`File:Parent_-_Object_(Keep_Transform)_(Demo_File).blend
https://wiki.blender.org/wiki/File:Parent_-_Object_(Keep_Transform)_(Demo_File).blend`__.

  1. I've skipped over "/scene_layout/object/editing/relations" as it just went over my head. There are no images on this page so only the text needs to be checked.
  1. "/scene_layout/object/properties/introduction" is just a "TODO". Are you able to notify someone about this as it's been like this since the 2.80 manual.
  1. In "/scene_layout/collections/collections" it describes the use of a keyboard shortcut "Ctrl-G" to create a new collection. This collection is created but not added to the current scene. Is this a bug or is it working as intended? If it's working as intended, tell me and I'll update the manual to signify this.

The same page also describes a keyboard shortcut "Remove from All Unlinked Collections Shift-Ctrl-Alt-G" which just seems to remove the selected objects from all collections rather than do what the manual describes (see below). Is this a bug?

Remove the selected objects from all collections not used in a scene.

  1. In "/scene_layout/object/properties/display" it describes a setting:

Color
Allows to specify the object’s color when using the Workbench renderer.

This doesn't seem to work for mesh objects. I remember talking to Brecht about this and he said it should stay in Blender for things like images, but I don't understand why it's still in Blender for mesh objects. Am I missing something?

  1. I also get a error "malformed hyperlink target" in regards to "/scene_layout/object/properties/relations". The error is related to:

.. _bpy.types.Object.track_axis:/editing

But I don't know what to do to fix it.

Alaska (Alaska) updated the task description. (Show Details)
Alaska (Alaska) updated the task description. (Show Details)

In the text editor, should "Format>Indent" (from the header) have a shortcut tool tip in Blender. The shortcut is in the manual but not in Blender.

I think this is because tab is shared between the autocomplete function (when you have a python file opened), I think in this case it is okay to reference in the manual and not in Blender

In the info editor in Blender (Not the manual), should we still have the "Toggle selection" option under the "info" menu in the header. Seems to do the same as select all and deselect all?

I am a bit unsure what you are talking about, I am not sure what "Info" menu you are talking about.

I was unable to reproduce this last part "Shift to add/remove from the edit mode". Is this a bug?

I would create bug report for this. Another developer might know better whether it is really a bug or not.

However this option is not made available when you select "Fly" as your view navigation. Is this a bug or incorrect documentation.

I believe the documentation is wrong

In "/editors/preferences/save_load" I've updated the two images there. However the second image doesn't fit properly in my personal opinion. Should I remove it?

This image does seem a bit redundant, removing it is okay.

In "/editors/preferences/file_paths" it describes a "Scripts" section that I've been unable to find in Blender (2.82 and 2.83). Should I remove this?

I made a fix in rBM6551


In "/scene_layout/object/editing/transform/basics" it talks about a "texture space option". This is no longer in the last operator panel and has no keyboard shortcut so I've removed it from this page. However, it needs to go somewhere as removing this section causes errors in other parts of the manual that link to it, I just don't know where to put it.

Fixed in rBM6552

In "/scene_layout/object/editing/parent" there's a link to a blend file to "follow along with parenting". I don't see why this is necessary as a Suzanne, and two empties are used for the demonstration. Should I remove it, and what about the .blend file? It's on the Blender wiki, something I don't know how to edit.

I would leave for now, it can be addressed as part of T56342

"/scene_layout/object/properties/introduction" is just a "TODO". Are you able to notify someone about this as it's been like this since the 2.80 manual.

I had a vision for what I wanted here but forgot what it was. Removed in rBM6553

In "/scene_layout/collections/collections" it describes the use of a keyboard shortcut "Ctrl-G" to create a new collection. This collection is created but not added to the current scene. Is this a bug or is it working as intended? If it's working as intended, tell me and I'll update the manual to signify this.

I think this is a bug, I would report it.

The same page also describes a keyboard shortcut "Remove from All Unlinked Collections Shift-Ctrl-Alt-G" which just seems to remove the selected objects from all collections rather than do what the manual describes (see below). Is this a bug?

This again looks like a bug.

This doesn't seem to work for mesh objects. I remember talking to Brecht about this and he said it should stay in Blender for things like images, but I don't understand why it's still in Blender for mesh objects. Am I missing something?

You need to use object color in the viewport shading options

I also get a error "malformed hyperlink target" in regards to "/scene_layout/object/properties/relations". The error is related to:

Seems like you accidentally pasted something. should be .. _bpy.types.Object.track_axis: fixed in rBM6554

@Alaska (Alaska) please make sure the images you update are properly sized:

https://docs.blender.org/manual/en/dev/editors/timeline.html#playback-popover

There is no need to make image an overly high resolution either as it slows down page loading times.

Images can be scaled using :width: for example:

.. figure:: /images/physics_dynamic-paint_canvas_surface-type-waves.jpg
   :width: 320px

   Waves Surface.

Hi @Jamie Chaisson (jamjchai) if you would like to use the Blender Documentation Project to apply for your class reach out to me via email: carlisle.b3d@gmail.com and I can help you with with something that would qualify for your requirements.

@Aaron Carlisle (Blendify)

I am a bit unsure what you are talking about, I am not sure what "Info" menu you are talking about.

In the header of the workspace "Info" there's a option for "Info>Toggle selection". I probably could of been a bit more clear on that.


please make sure the images you update are properly sized:

I did not change that image and on my local version of the documentation the size was not an issue. I will take a look at it when I start work on this project again (probably tomorrow).


In "/scene_layout/collections/collections" it describes the use of a keyboard shortcut "Ctrl-G" to create a new collection. This collection is created but not added to the current scene. Is this a bug or is it working as intended? If it's working as intended, tell me and I'll update the manual to signify this.

I think this is a bug, I would report it.

The same page also describes a keyboard shortcut "Remove from All Unlinked Collections Shift-Ctrl-Alt-G" which just seems to remove the selected objects from all collections rather than do what the manual describes (see below). Is this a bug?

This again looks like a bug.

Reported here: T76013 T76014


I was unable to reproduce this last part "Shift to add/remove from the edit mode". Is this a bug?

I would create bug report for this. Another developer might know better whether it is really a bug or not.

Found out it's ctrl to add. Updated it here: rBM6557


This image does seem a bit redundant, removing it is okay.

I've removed it here: rBM6557


This doesn't seem to work for mesh objects. I remember talking to Brecht about this and he said it should stay in Blender for things like images, but I don't understand why it's still in Blender for mesh objects. Am I missing something?

You need to use object color in the viewport shading options

I was talking about the option in this section of Blender:


Thank you for helping out.

Alaska (Alaska) renamed this task from Updating Manual images to 2.8X to Updating Manual images and text to reflect changes made in Blender 2.8X.Apr 23 2020, 12:58 PM
Alaska (Alaska) updated the task description. (Show Details)
Alaska (Alaska) updated the task description. (Show Details)
Alaska (Alaska) added a comment.EditedApr 27 2020, 7:53 AM

@Aaron Carlisle (Blendify) I've continued work on the manual and once again have questions. rBM6578

Note: I may need to take an extended break from this project in the near future. Personal things are popping up. I'm fairly certain I won't have this finished by the release of Blender 2.83 and I'm personally going to take a step back from making changes to the manual during bcon 4 and 5. Hopefully that break is long enough, but I may need longer.
On the topic of future releases and manual documentation. Should I wait for Blender 2.90 to enter bcon2 before starting work on updating the manual or do you believe the changes made during the end of bcon 1 will be so small that I should just start work then? I can't actually remember if Blender 2.90 will enter bcon 2 at the release of Blender 2.83.


  1. I've removed /modeling/meshes/editing/edge/edge_split in commit rBM6576 on the basis that you removed it from the index in rBM6571. I have kept a backup of the original file if you want me to add it back. I have checked and this doesn't seem to produce errors anywhere else in the manual.

  1. In /render/eevee/render_settings/shadows it says:

Light Threshold
In order to avoid costly setup time, this distance is first computed automatically based on a light threshold. The distance is computed at the light origin and using the inverse square falloff.

What is "this distance". I assume it's the lights distance of influence, but I'm sure there's a better way of explaining this. I really don't use EEVEE much.


  1. In /render/cycles/render_settings/sampling I've added "Setting this value to zero allows the viewport to sample indefinitely" to the viewport sampling section. However I feel like it could be worded in a better way. Any suggestions?

  1. In /render/cycles/render_settings/simplify I've added a TODO for the antialiasing feature in the grease pencil panel. I don't know who to inform about filling this in.

  1. /render/cycles/render_settings/debug seems to be missing a lot of documentation. I understand it's not really focused on because it's primary use is by developers and people who have a lot of technical knowledge in this area. But I would personally love to see this page fully featured.

  1. In /render/cycles/world_settings I rewrote the first paragraph of the "Mist Pass" section, but I feel it isn't well explained. Would like to hear your input on this (I will try to decrease these types of editors as we get closer to bcon 4).

The reason I changed this is because it describes an effect where objects further away from camera become more transparent (blend with the world colour). This is a feature of Blender Internal so is no longer available.


  1. In /render/cycles/gpu_rendering I've made a few modifications. rBM6580
    • I've removed the question "What renders faster, Nvidia or AMD, CUDA or OpenCL?". This is just going to keep changing. Yes, OptiX will be the fastest with a really high end GPU, but not in all cases. From my understanding OptiX with volumetrics is much slower than CUDA. And from research, I believe OpenCL saw a large performance hit with the addition of 4D textures but then someone contributed a patch to mitigate the effects. So the answer "Currently, CUDA and OpenCL are about the same in the newest mid-range GPUs" was correct, then incorrect in the next release of Blender, then mostly correct in the next.
    • I've cut down on the explanation of the error "CUDA Error: Out of memory". From my understanding this occurs on Optix because it lacks out-of-core rendering and may still have the possibility of occurring on CUDA if it fills up RAM during out-of-core rendering. Not 100% sure on that one. I'm happy for you to make suggestions or get someone else to review it.

On the topic of future releases and manual documentation. Should I wait for Blender 2.90 to enter bcon2 before starting work on updating the manual or do you believe the changes made during the end of bcon 1 will be so small that I should just start work then?

Yes, currently it is just too much work for us to have both versions being worked on at once. Keep an eye on T76164 hopefully later this week I will update it with a list of changes needing documentation.

I've removed /modeling/meshes/editing/edge/edge_split in commit rBM6576 on the basis that you removed it from the index in rBM6571. I have kept a backup of the original file if you want me to add it back. I have checked and this doesn't seem to produce errors anywhere else in the manual.

My bad thank you.

What is "this distance". I assume it's the lights distance of influence, but I'm sure there's a better way of explaining this. I really don't use EEVEE much.

Updated in rBM6581 hopefully, it is clearer now.

In /render/cycles/render_settings/sampling I've added "Setting this value to zero allows the viewport to sample indefinitely" to the viewport sampling section. However I feel like it could be worded in a better way. Any suggestions

I think that wording is good.

In /render/cycles/render_settings/simplify I've added a TODO for the antialiasing feature in the grease pencil panel. I don't know who to inform about filling this in.

If there is a todo it will get done by someone eventually.

/render/cycles/render_settings/debug seems to be missing a lot of documentation. I understand it's not really focused on because it's primary use is by developers and people who have a lot of technical knowledge in this area. But I would personally love to see this page fully featured.

I created this page recently to fix another issue on a different page and didn't want to down the long hole of filling it in. It is meant for developers and it would be nice for developers to understand the available options but it is not a priotity at the moment.

In /render/cycles/world_settings I rewrote the first paragraph of the "Mist Pass" section, but I feel it isn't well explained. Would like to hear your input on this (I will try to decrease these types of editors as we get closer to bcon 4).

Updated in rBM6582

In /render/cycles/gpu_rendering I've made a few modifications.

See the comments that Brecht and I made on rBM6580

@Aaron Carlisle (Blendify)

What is "this distance". I assume it's the lights distance of influence, but I'm sure there's a better way of explaining this. I really don't use EEVEE much.

Updated in rBM6581 hopefully, it is clearer now.

From a quick look, seems clearer. Thanks for updating it.

/render/cycles/render_settings/debug seems to be missing a lot of documentation. I understand it's not really focused on because it's primary use is by developers and people who have a lot of technical knowledge in this area. But I would personally love to see this page fully featured.

I created this page recently to fix another issue on a different page and didn't want to down the long hole of filling it in. It is meant for developers and it would be nice for developers to understand the available options but it is not a priotity at the moment.

Understandable.

In /render/cycles/world_settings I rewrote the first paragraph of the "Mist Pass" section, but I feel it isn't well explained. Would like to hear your input on this (I will try to decrease these types of editors as we get closer to bcon 4).

Updated in rBM6582

Thank you.

In /render/cycles/gpu_rendering I've made a few modifications.

See the comments that Brecht and I made on rBM6580

I've taken a look at the feedback and hope to have resolved the concerns.

@Aaron Carlisle (Blendify) I have updated the manual to describe the limitations with the Ctrl-G keyboard shortcut for creating new collections on the advice of @Yevgeny Makarov (jenkm) here T53662#920071.

rBM6590
plus small fix to wording in:
rBM6593

I'm just posting this so you know. Just ask if you'd like me to change anything.

Alaska (Alaska) added a comment.EditedMay 3 2020, 11:05 AM

@Aaron Carlisle (Blendify) - I've done a bit more work on the manual and again have questions.
Text: rBM6600
Image: rBM6599
Extra: rBM6601
All the little mistakes I fixed from my original commits: rBM6602, rBM6603

I still haven't finished updating the rendering section of the manual. I only have a few pages to do and it should all be included in the next commit. I've just been working on the manual in one long session and I just couldn't progress any further.


  1. In /render/materials/assignment there are these:

.. |material-icon| image:: /images/interface_controls_nodes_introduction_icons-material.png
.. |node-icon| image:: /images/render_materials_assignment_node-icon-BI.png

They don't show up in the web page. Is this a formatting error? What should I do about these?


  1. At the bottom of /render/materials/assignment it says:

You can also make this new material a copy of an existing material by adding the data-block:

Select the object, get the material, RMB and Copy data to clipboard. When you have renamed the material, click “Link: Data” to link to the existing material. Proceed to assign faces as required. N.b: If you change the material on the original object, the new object color changes too.

I'm not entirely sure how to reproduce this and thus am unable to verify if it still works in Blender 2.8X. Are you able to take a look at it?


  1. I've quickly skipped over /render/materials/legacy_textures/ only updating the images as per our discussion earlier.

I would skip over it for now, these nodes will either be changed a lot in the near future or removed.


  1. In /render/shader_nodes/input/attribute.html this part should probably become part of the Blender manual itself:

For a full list of options see This Thread on the Blender Stack Exchange.

I'll leave it up to you to decide whether or not it should be integrated or left where it is.


  1. In /render/shader_nodes/input/wireframe I tried creating an image for the example section of the wireframe node. After playing around a bit, this was the only usable image I could make. However, I'm not sure whether or not I can use it in the manual due to me being unable to find licensing information. The original source was https://cloud.blender.org/p/characters/5718a967c379cf04929a4247


Using the wireframe node to showcase the topology of a mesh.

The difficulties I had with picking a mesh to use was that the image will be viewed at a low resolution (E.G. 800x450) and the wireframe easily starts to take up a lot of pixels.

If we can't use that image I could always use suzanne.


  1. In /render/shader_nodes/shader/emission under the strength input it says:

For materials, a value of 1.0 will ensure that the object in the image has the exact same color as the Color input, i.e. make it ‘shadeless’.

From my own testing, this is no longer true if you're using the filmic color transform (the default in Blender 2.8X). Should I remove it?


  1. I've skipped over the freestyle section on the basis I don't know much about freestyle and I believe it's planned to be replaced with the LANPR patch (Google summer of code 2019?). All the images seem up to date either way.
Alaska (Alaska) renamed this task from Updating Manual images and text to reflect changes made in Blender 2.8X to Updating Manual images and text to reflect changes made in recent versions of Blender.May 4 2020, 10:26 AM
Alaska (Alaska) updated the task description. (Show Details)

In /render/materials/assignment there are these:

These were unused, removed in rBM6605

I'm not entirely sure how to reproduce this and thus am unable to verify if it still works in Blender 2.8X. Are you able to take a look at it?

I am a bit confused on this also and have not been able to get it to work.

I'll leave it up to you to decide whether or not it should be integrated or left where it is.

Yes, this infromation should be included in the manual.

However, I'm not sure whether or not I can use it in the manual due to me being unable to find licensing information.

Examples from the Cloud are okay to use in the manual.

From my own testing, this is no longer true if you're using the filmic color transform (the default in Blender 2.8X). Should I remove it?

From my testing and unserstanding this is still true.

In /render/materials/assignment there are these:

These were unused, removed in rBM6605

Thank you.


I'm not entirely sure how to reproduce this and thus am unable to verify if it still works in Blender 2.8X. Are you able to take a look at it?

I am a bit confused on this also and have not been able to get it to work.

I've hidden it in this commit rBM6616. All the information is still there if someone wants to update it.


I'll leave it up to you to decide whether or not it should be integrated or left where it is.

Yes, this infromation should be included in the manual.

Where should I include the information? I was thinking about adding it to the glossary, but that's probably not the best place. Maybe add the information to it's own page? Or should I just redircet the user to the /intern/cycles/render/attribute.cpp file? (https://developer.blender.org/diffusion/B/browse/master/intern/cycles/render/attribute.cpp)


Examples from the Cloud are okay to use in the manual.

Updated in rBM6615

Where should I include the information? I was thinking about adding it to the glossary, but that's probably not the best place. Maybe add the information to it's own page?

The definition for the name field should be expanded on the attribute node page.

@Aaron Carlisle (Blendify)

Also, quick question. Blender 2.83 will be a LTS release. This means users of the LTS release will be referred back to the 2.83 manual when selecting the "Online Manual" buttons within Blender. Obviously I'm not going to get this tasked finished by the release of 2.83 which means the 2.83 manual will have some outdated information. What's the possibility of the 2.83 manual still being editable?

Obviously this would create a lot more work for me and other maintainers of the manual as any changes made to the 2.83 manual will also need to be carried over to the 2.90 manual and many images of the user interface will need to be produced separately for 2.83 and 2.90. But hopefully once the 2.83 manual has had all its images and text updated to reflect changes made in 2.8X, updates to the LTS manual will mostly be limited to fixes to spelling mistakes.

There is still some discussion on if 2.83 will be an LTS release https://lists.blender.org/pipermail/bf-committers/2020-May/050570.html

As you said it would be a lot of work to maintain both 2.83 and 2.90 so that will likely not happen.

Most of the manual content was already updated 2.8x obviously some smaller changes were missed, so I do not think it is critical for use to have this done for the 2.83 manual.
I would rather keep pushing forward than trying to make older versions perfect.

I would rather keep pushing forward than trying to make older versions perfect.

That makes sense.

Alaska (Alaska) added a comment.EditedMay 8 2020, 8:50 AM

@Aaron Carlisle (Blendify)
Yet another patch and yet more questions:
Text: rBM6630
Images: rBM6629


  1. In /render/color_management it says:

Color Space
The color space of the image file on a drive. This depends on the file format, for example, PNG or JPEG images are often stored in sRGB, while OpenEXR images are stored in a linear color space. Some images such as normal, bump or stencil maps do not strictly contain ‘colors’, and on such values, no color space conversion should ever be applied. For such images, the color space should be set to None.

I'm confused about the last part of that, "the color space should be set to None". Shouldn't it be "Non-color"? I'm unable to find a none option.


  1. The page /render/output/introduction is just:

See Render Menu

Should it be removed?


This question was answered with the help @Yevgeny Makarov (jenkm)

  1. In /render/output/file_formats it says:

Output Quality
These are preset Rates.

Where "rates" is a hyper link to a non-existent page. Doing a quick search I've been unable to find a page that contains the information needed. Are you able to take a look at it?


I haven't finished updating the "render" section of the manual. However, the information on the pages that are left kind of go over my head at the moment. I might take another look at it when I can think clearer or maybe just add it to my list of "needs checking by someone more knowledgeable".

Where "rates" is a hyper link to a non-existent page.

Here was supposed to be a link to the "Rate" section in the same document.

@Yevgeny Makarov (jenkm) That makes sense. Reading that part of the manual it's clear now.

What do you believe I should do to fix it?

Add

.. _render-output-video-encoding-rate:

above the rates section then change the hyperlink to

:ref:`Rates <render-output-video-encoding-rate>`

Sorry, I'm relatively new to RST and have been primarily focused on working on updating images and fixing menu locations in the manual to reflect changes in 2.8X.

This should work as a link to the "Rate" section:

`Rate`_

@Yevgeny Makarov (jenkm) Thanks for helping me out with this.

Committed with rBM6640

I'm confused about the last part of that, "the color space should be set to None". Shouldn't it be "Non-color"? I'm unable to find a none option.

Yes, should be "Non-color"

The page /render/output/introduction is just:

No the information here just needs to be expanded explaining the different types of outputs, Animation, Render, Audio. And how to actually produce these outputs.

See the todo: todo: describe the steps to output renders

@Aaron Carlisle (Blendify)

Yes, should be "Non-color"

Fixed with rBM6648

No the information here just needs to be expanded

Sorry, I didn't see that. I usually browse the pages in the web-interface then go to the .RST if I find a mistake.

@Aaron Carlisle (Blendify), I'm sorry, I accedentally merged this task with T76705. Are you able to reopen this task? Or will I have to create a new task.

I'm unable to find the option to re-open/unmerge these tasks.

Aaron Carlisle (Blendify) reopened this task as Confirmed.Wed, May 13, 3:43 AM

@Aaron Carlisle (Blendify) Yet another patch and more questions:
Images: rBM6654
Text: rBM6655
Small fix: rBM6656


  1. In /compositing/types/converter/switch_view there's an image (render_output_stereoscopy_usage_compositor.png). In it, the backdrop of the compositor shows a stereoscopic image. I'm unable to replicate this on my system. Is this a bug or am I missing something? (I updated the image either way, just using the stereoscopic image from the image editor).

I haven't finished updating the compositing section yet. I plan to get that done this weekend.

@Aaron Carlisle (Blendify), I'm sorry, I accedentally merged this task with T76705. Are you able to reopen this task? Or will I have to create a new task.

I'm unable to find the option to re-open/unmerge these tasks.

You seem to be doing a lot of work on the bug tracker as a non-moderator. I fixed that for you. 😉

Alaska (Alaska) added a comment.EditedSun, May 17, 7:28 AM

@Aaron Carlisle (Blendify), I'm sorry, I accedentally merged this task with T76705. Are you able to reopen this task? Or will I have to create a new task.

I'm unable to find the option to re-open/unmerge these tasks.

You seem to be doing a lot of work on the bug tracker as a non-moderator. I fixed that for you. 😉

Thank you @Evan Wilson (EAW). I usually just help people on reddit who use Blender. But most of the time it's the same thing over and over again. So I decided to start looking at issues here as they're more interesting and can actually teach me a little. If it's something that's a mistake on the users part, I try and correct them. If the user doesn't provide enough information, I ask them to add some, just to save the developers the couple seconds it takes to ask the question and the potentially hours of waiting for a response (general moderator like tasks). Also, checking here on a regular basis helps with learning about upcoming and recently introduced features in Blender. Though, I also read the weekly reports for those as well.

I also started work on the updating the manual because:

  1. I don't know much about programming. So can't contribute much on that side of things.
  2. I felt like giving back to the Blender developers and eveyone in the community who helped develop Blender. Because money is a issue at the moment, I decided that rather than supporting through the developer fund, I could give back to the developers by taking over some time consuming tasks (Update images for the entire Blender manual) to give the developers free time to work on more interesting things.

Big thank you to you @Evan Wilson (EAW) and all the other moderators and Blender developers for making Blender the software it is today. And for making it free.

In /compositing/types/converter/switch_view there's an image (render_output_stereoscopy_usage_compositor.png). In it, the backdrop of the compositor shows a stereoscopic image. I'm unable to replicate this on my system. Is this a bug or am I missing something? (I updated the image either way, just using the stereoscopic image from the image editor).

I am guessing it is a configuration issue on your side.

In /compositing/types/converter/switch_view there's an image (render_output_stereoscopy_usage_compositor.png). In it, the backdrop of the compositor shows a stereoscopic image. I'm unable to replicate this on my system. Is this a bug or am I missing something? (I updated the image either way, just using the stereoscopic image from the image editor).

I think this is a bug. I have it working in 2.79 and 2.81 but the same file doesn't work in 2.83.

@Yevgeny Makarov (jenkm) I will investigate it further, do some searching around on this site, and if I don't find anything, make a bug report. Unless you would like to make it.

@Yevgeny Makarov (jenkm) I'm unable to find any information so far about the issue. I'll make a report for it.

@Aaron Carlisle (Blendify) Yet another patch. I'm sorry it took a while. I was going to get this patch committed last weekend but never got around to starting it. With bcon 3 ending in a few days (assuming no further set backs), this will most likely be my last commit for this task until the Blender 2.90 manual is available.
Text: rBM6678
Images: rBM6677

Thank you for all the help you have provided over the time I have been working on this task.


  1. On the page /compositing/types/filter/bilateral_blur I have removed some of the examples because they rely on Blender internal. I could re-create them using cycles render passes, but the node setup would be a bit more complex and would just confuse the user. I have kept copies of the original images if you would like me to add them back in.

  1. On pages "/compositing/types/filter/defocus" and "/compositing/types/filter/dilate_erode" there is a link to an example .blend file from the Blender wiki. Clicking on it responds "Forbidden: You don't have permission to access this resource."

Should I remove the link or is this something you could fix by changing permissions?


  1. In /compositing/types/filter/vector_blur I've added a description for the curved option based on these two sources:

T29192#128154
rB1357f1b09fcb
My description reads:

Interpolates motion between frames using a quadratic bezier function rather than a linear function.

If you think anything needs to be changed, just say so.


  1. In /compositing/types/matte/keying_screen there are images from the tears of steel movie. From a quick look I was unable to find files I could use to recreate the effect. I will add this to the "list of things other people with more knowledge than I do can help out with".

  1. In /compositing/types/distort/stabilize_2d it talks about the memu Movie Clip Editor ‣ Properties ‣ Stabilization ‣ 2D Stabilization ‣ Filter. I'm unable to find this in 2.79 or 2.83 (assume the in between versions are the same). However there is a option "Interpolate" which has the settings that's described on that page. So I have changed the manual to "Interpolate" as I believe this setting was renamed to that. If this is incorrect please correct me.

On the page /compositing/types/filter/bilateral_blur I have removed some of the examples because they rely on Blender internal. I could re-create them using cycles render passes, but the node setup would be a bit more complex and would just confuse the user. I have kept copies of the original images if you would like me to add them back in.

That sound reasonable

On pages "/compositing/types/filter/defocus" and "/compositing/types/filter/dilate_erode" there is a link to an example .blend file from the Blender wiki. Clicking on it responds "Forbidden: You don't have permission to access this resource."
Should I remove the link or is this something you could fix by changing permissions?

I would leave these for now, will be addressed as part of T56342.

In /compositing/types/filter/vector_blur I've added a description for the curved option based on these two sources:
If you think anything needs to be changed, just say so.

No sounds good.

In /compositing/types/matte/keying_screen there are images from the tears of steel movie. From a quick look I was unable to find files I could use to recreate the effect. I will add this to the "list of things other people with more knowledge than I do can help out with".

It might be hard to find the exact frame but these images came from https://media.xiph.org/tearsofsteel/ you might also be able to find a couple of images on the Blender Cloud. You are still welcome to leave for someone else if you want.

In /compositing/types/distort/stabilize_2d it talks about the memu Movie Clip Editor ‣ Properties ‣ Stabilization ‣ 2D Stabilization ‣ Filter. I'm unable to find this in 2.79 or 2.83 (assume the in between versions are the same). However there is a option "Interpolate" which has the settings that's described on that page. So I have changed the manual to "Interpolate" as I believe this setting was renamed to that. If this is incorrect please correct me.

Yes, just double-checked and it, at some point has been renamed.

Alaska (Alaska) added a comment.EditedMon, May 25, 6:18 AM

...

In /compositing/types/matte/keying_screen there are images from the tears of steel movie. From a quick look I was unable to find files I could use to recreate the effect. I will add this to the "list of things other people with more knowledge than I do can help out with".

It might be hard to find the exact frame but these images came from https://media.xiph.org/tearsofsteel/ you might also be able to find a couple of images on the Blender Cloud. You are still welcome to leave for someone else if you want.

Sorry, I got a bit of tunnel vision. Basically I wanted to use the same scenes as what was currently in the manual as I don't have any green screen footage I could use to recreate the image (as in, creating an example for the keying_screen node). I also didn't want to just go out onto the internet and find some green screen footage because licensing reason. And I kind of forgot about the Blender cloud.

I will look at the link you shared (files are quite big so will take a while to download). If I can't create a scene that works for the manual, I'll just skip over that section and leave it as a "TODO for someone else".

Alaska (Alaska) added a comment.EditedMon, May 25, 7:41 AM

Thank you @Aaron Carlisle (Blendify) for helping out. The keying screen section of the manual should now have up to date images: rBM6693

Alaska (Alaska) added a comment.EditedTue, Jun 2, 10:31 AM

@Aaron Carlisle (Blendify)

Just as a question, is the change in theming between the 2.82 and 2.83 manual intentional? Nothing in the rst files seem to suggest that some of these labels should have "blue boxes"

E.G.
2.82: https://docs.blender.org/manual/en/2.82/editors/3dview/controls/overlays.html
2.83: https://docs.blender.org/manual/en/dev/editors/3dview/display/overlays.html

2.82:


2.83:

That is not intentional. I will investigate later.

Thank you @Aaron Carlisle (Blendify)

Just as a note on this task. I said I was going to take a break from the task during bcon 4 and 5 of 2.83 to ensure stability of the manual and to just take a general break due to personal things. Those personal things have grown and my break may have to extend to a few months, maybe even years or indefinitely.

I will try and do little bits here and there. Update a page or two from time to time, but my activeness in completing this task will probably be reduced.

No worries we have appreciated your help.